package com.mcwl.common.constant;

/**
 * 字典值常量数据信息
 *
 * @author DaiZibo
 * @date 2025/1/14
 * @apiNote
 */

public class DictConstants {

    /**
     * 状态
     */
    public static final String MALL_PRODUCT_STATUS = "mall_product_status";

    /**
     * 高清修复
     */
    public static final String DICT_TYPE_MODEL_VERSION_HIGH = "dict_type_model_version_high";

    /**
     * 类型模型
     */
    public static final String MODEL_CATEGORY = "model_category";


    /**
     * 垂类（一级）
     */
    public static final String MODEL_PART_CATEGORY = "model_part_category";

    /**
     * 垂类（二级）
     */
    public static final String MODEL_CHILD_CATEGORY = "model_child_category";

    /**
     * 主体
     */
    public static final String WORK_FLOW_THEME = "work_flow_theme";

    /**
     * 风格
     */
    public static final String WORK_FLOW_STYLE = "work_flow_style";

    /**
     * 功能
     */
    public static final String WORK_FLOW_FUNCTIONS = "work_flow_functions";

    /**
     * 图片标签
     */
    public static final String IMAGE_LABEL = "image_label";

    /**
     * 工作流内容类别
     */
    public static final String WORK_FLOW_TYPE_CHILD = "work_flow_type_child";

    /**
     * 模型类型
     */
    public static final String MODEL_TYPE = "model_type";

}
