package com.mcwl.common.domain;

import lombok.Data;

/**
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.common.domain
 * @Filename：AliPayProperties
 * @Description 支付宝支付配置
 * @Date：2025/1/3 18:45
 */
@Data
public class AliPayProperties {

    private String protocol;
    private String gatewayHost;
    private String signType;
    private String appId;
    private String privateKey;
    private String publicKey;
    private String notifyUrl;
}
