package com.mcwl.common.utils.obs;

import com.obs.services.ObsClient;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import javax.annotation.PreDestroy;

/**
 * obs配置类
 * @author DaiZibo
 * @date 2025/2/18
 * @apiNote
 */

@Configuration
public class ObsConfig {
    @Value("${huawei.obs.ak}")
    private String ak;
    @Value("${huawei.obs.sk}")
    private String sk;
    @Value("${huawei.obs.upload.endPoint}")
    private String endPoint;

    @Bean
    public ObsClient getObsClient() {
        ObsClient obsClient = new ObsClient(ak, sk, endPoint);
        return obsClient;
    }


}
