package com.mcwl.communityCenter.constant;

/**
 * 状态常量
 */
public class StatusConstant {
    /**
     * 可用
     */
    public static final int STATUS_AVAILABLE = 1;

    /**
     * 不可用
     */
    public static final int STATUS_UNAVAILABLE = 0;

    /**
     * 已回复
     */
    public static final int STATUS_REPLIED = 1;

    /**
     * 未回复
     */
    public static final int STATUS_UNREPLIED = 0;

}
