package com.mcwl.communityCenter.domain;


import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 提问评论
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cc_question_comment")
public class QuestionComment extends BaseEntity {

    @TableId
    private Long id;
    /**
     * 租户id
     */
    private Long tenantId;
    /**
     * 社区id
     */
    private Long communityId;
    /**
     * 提问id
     */
    private Long questionId;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 内容
     */
    private String content;
    /**
     * 是否接受 0未接受 1已接受
     */
    private Integer isAccept;



}
