package com.mcwl.communityCenter.domain.dto;

import com.mcwl.common.core.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "发布分页请求参数")
public class PublishPageRes extends PageDomain {

    @NotNull(message = "社区id不能为空")
    @ApiParam(value = "社区id", required = true)
    private Long communityId;

    @NotNull(message = "租户id不能为空")
    @ApiParam(value = "租户id", required = true)
    private Long tenantId;

}
