package com.mcwl.communityCenter.domain.dto;

import com.mcwl.common.core.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "提问分页请求参数")
public class QuestionCommentPageRes extends PageDomain {

    @NotNull(message = "租户不能为空")
    @ApiModelProperty(value = "租户id", required = true)
    private Long tenantId;

    @NotNull(message = "社区不能为空")
    @ApiModelProperty(value = "社区id", required = true)
    private Long communityId;

    @NotNull(message = "提问不能为空")
    @ApiModelProperty(value = "提问ID", required = true)
    private Long questionId;

}
