package com.mcwl.communityCenter.domain.dto;

import com.mcwl.common.core.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.util.AllowableValues;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "提问分页请求参数")
public class QuestionPageRes extends PageDomain {

    @NotNull(message = "租户不能为空")
    @ApiModelProperty(value = "租户id", required = true)
    private Long tenantId;

    @NotNull(message = "社区不能为空")
    @ApiModelProperty(value = "社区id", required = true)
    private Long communityId;

//    @ApiModelProperty(value = "状态")
//    private Integer status;

}
