package com.mcwl.communityCenter.domain.vo;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 社区返回数据
 */
@Data
@TableName("cc_community")
@ApiModel(value = "社区返回数据")
public class CommunityVo {

    /**
     * 社区id
     */
    @ApiModelProperty(value = "社区id")
    private Long id;

    /**
     * 社区名称
     */
    @ApiModelProperty(value = "社区名称")
    private String communityName;



}
