package com.mcwl.communityCenter.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.common.core.page.PageDomain;
import com.mcwl.common.core.page.TableDataInfo;
import com.mcwl.communityCenter.domain.Community;
import com.mcwl.communityCenter.domain.dto.CommunityRes;

public interface CommunityService extends IService<Community> {
    TableDataInfo listByPage(PageDomain pageDomain);

    /**
     * 添加社区
     * @param communityRes 社区信息
     */
    void addCommunity(CommunityRes communityRes);
}
