package com.mcwl.communityCenter.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.common.core.domain.AjaxResult;
import com.mcwl.common.core.domain.R;
import com.mcwl.common.core.page.TableDataInfo;
import com.mcwl.communityCenter.domain.Question;
import com.mcwl.communityCenter.domain.QuestionComment;
import com.mcwl.communityCenter.domain.dto.*;
import com.mcwl.communityCenter.domain.vo.QuestionVo;

import javax.validation.Valid;

public interface QuestionCommentService extends IService<QuestionComment> {

    R<Object> comment(@Valid QuestionCommentRes questionCommentRes);

    TableDataInfo listByPage(@Valid QuestionCommentPageRes questionCommentPageRes);

    R<Object> adopt(@Valid QuestionCommentAdoptRes questionCommentAdoptRes);
}
