package com.mcwl.memberCenter.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import com.mcwl.memberCenter.enums.MemberBenefitTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 会员权益关联表
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("mem_member_benefit")
public class MemberBenefit extends BaseEntity {

    @TableId
    private Long id;

    // 会员等级id
    private Long memberLevelId;

    // 权益id
    private Long benefitId;


}
