package com.mcwl.memberCenter.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 会员消费表
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("mem_member_consume")
public class MemberConsume extends BaseEntity {

    @TableId
    private Long id;

    // 用户id
    private Long userId;

    // 消费积分
    private Double consumePoints;

    // 剩余积分
    private Double remainingPoints;

    // 消费时间
    private Date consumeTime;



}
