package com.mcwl.memberCenter.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import com.mcwl.memberCenter.enums.MemberPeriodicEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 会员等级表
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("mem_member_level")
public class MemberLevel extends BaseEntity {

    @TableId
    private Long id;

    // 会员名称
    private String memberName;

    // 会员价格
    private Double unitPrice;

    // 会员原价
    private Double originalPrice;

    // 订阅周期（年，季度，月，包月）
    private MemberPeriodicEnum subscriptionPeriod;
}
