package com.mcwl.memberCenter.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import com.mcwl.memberCenter.enums.PromotionEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 会员优惠活动关联表
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("mem_member_promotion")
public class MemberPromotion extends BaseEntity {
    @TableId
    private Long id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 优惠活动ID
     */
    private Long promotionId;

    /**
     * 参与时间
     */
    private Date participationTime;

    /**
     * 状态 “已参与”“已过期”
     */
    private PromotionEnum status;

}
