package com.mcwl.myInvitation.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Objects;

/**
 * 邀请表
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("inv_invitation")
public class Invitation extends BaseEntity {

    @TableId
    private Long id;

    // 邀请者
    private Long userId;

    // 被邀请者
    private Long userInviteId ;

    // 邀请码
    private String invitationCode;
}
