package com.mcwl.myInvitation.domain.vo;


import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@ApiModel(description = "佣金比例")
public class CommissionRatioVo {


    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 最小单数
     */
    private Integer minCount;
    /**
     * 最大单数
     */
    private Integer maxCount;
    /**
     * 抽取比例
     */
    private Double ratio;
    /**
     * 提成类型，平台手续费、邀请人提成
     */
    private String ratioName;


}
