package com.mcwl.pay.config;


import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

@Data
@Configuration
@Component
public class AliConfig {
    @Value("${mall.mgt.aliPayConfig.protocol}")
    private String protocol;
    @Value("${mall.mgt.aliPayConfig.gatewayHost}")
    private String gatewayHost;
    @Value("${mall.mgt.aliPayConfig.signType}")
    private String signType;
    @Value("${mall.mgt.aliPayConfig.appId}")
    private String appId;
    @Value("${mall.mgt.aliPayConfig.privateKey}")
    private String privateKey;
    @Value("${mall.mgt.aliPayConfig.appCertPath}")
    private String appCertPath;
    @Value("${mall.mgt.aliPayConfig.alipayCertPath}")
    private String alipayCertPath;
    @Value("${mall.mgt.aliPayConfig.alipayRootCertPath}")
    private String alipayRootCertPath;
    @Value("${mall.mgt.aliPayConfig.gatewayUrl}")
    private String gatewayUrl;
    @Value("${mall.mgt.aliPayConfig.notifyUrl}")
    private String notifyUrl;
}
