package com.mcwl.pay.domain.enums;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.pay.domain
 * @Filename：PaymentStatus
 * @Description TODO
 * @Date：2025/1/3 17:24
 */

@Getter
@AllArgsConstructor
@NoArgsConstructor
public enum CommissionRationEnum {

    /**
     * 佣金配给邀请者用户
     */
    COMMISSION_RATION_INVITER_USER("CommissionRationInviterUser"),
    /**
     * 佣金配给商家用户
     */
    COMMISSION_RATION_MERCHANT("CommissionRationMerchant");

    private String name;
}
