package com.mcwl.pay.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.common.domain.IdsParam;
import com.mcwl.pay.domain.OrderTrade;
import com.mcwl.resource.domain.dto.ProductRes;

import java.util.List;
import java.util.Map;

/**
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.pay.service
 * @Filename：OrderTradeService
 * @Description TODO
 * @Date：2025/1/3 14:51
 */
public interface OrderTradeService extends IService<OrderTrade> {
    List<OrderTrade> selectMallProductList(OrderTrade orderTrade);

    int insertMallProduct(OrderTrade orderTrade);

    void deleteMallProductByIds(IdsParam ids);

    int updateMallProduct(OrderTrade orderTrade);


    void orderHandler(OrderTrade orderTrade, String suffix, Map<String, String> params);

    void productHandler(ProductRes productRes);
}
