package com.mcwl.resource.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 图片评论点赞
 */
@Data
@ApiModel(description = "图片评论点赞")
@EqualsAndHashCode(callSuper = true)
@TableName("model_image_comment_like")
public class ModelImageCommentLike extends BaseEntity {

    @ApiModelProperty(value = "id")
    @TableId
    private Long id;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private Long userId;

    /**
     * 图片评论id
     */
    @ApiModelProperty(value = "图片评论id")
    private Long modelImageCommentId;


}
