package com.mcwl.resource.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 工作流评论点赞
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
@ApiModel(description = "工作流评论点赞")
@TableName("work_flow_comment_like")
public class WorkFlowCommentLike extends BaseEntity {


    @TableId
    @ApiModelProperty ("主键ID")
    private Long id;

    /**
     * 用户id
     */
    @ApiModelProperty ("用户id")
    private Long userId;

    /**
     * 工作流评论id
     */
    @ApiModelProperty ("工作流评论id")
    private Long workFlowCommentId;


}
