package com.mcwl.resource.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(description = "产品信息")
public class ProductRes {

    /**
     * 产品用户id
     */
    @NotNull(message = "产品用户id不能为空")
    @ApiModelProperty(value = "产品用户id", required = true)
    private Long productUserId;

    /**
     * 产品id
     */
    @NotNull(message = "产品id不能为空")
    @ApiModelProperty(value = "产品id", required = true)
    private Long productId;

    /**
     * 商品类型
     */
    @NotNull(message = "产品类型不能为空")
    @ApiModelProperty(value = "产品类型 0模型 1工作流 2图片", required = true)
    private Integer productType;


}
