package com.mcwl.resource.domain.request;

import com.mcwl.resource.domain.WorkFlow;
import com.mcwl.resource.domain.WorkFlowVersion;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 工作流入参 工作流+版本
 *
 * @author DaiZibo
 * @date 2025/1/9
 * @apiNote
 */

@Builder
@AllArgsConstructor
@NoArgsConstructor
@Data
@ApiModel(description = "工作流入参 工作流+版本")
public class RequestWorkFlow {
    @ApiModelProperty(value = "工作流信息")
    private WorkFlow workFlow;
    @ApiModelProperty(value = "工作流版本信息")
    private List<WorkFlowVersion> workFlowVersionList;

}
