package com.mcwl.resource.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(description = "关注消息")
public class AttentionAdviceVo {

    /**
     * 通知id
     */
    @ApiModelProperty(value = "通知id")
    private Long id;

    /**
     * 关注我的用户头像
     */
    @ApiModelProperty(value = "关注我的用户头像")
    private String userAvatar;

    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String content;

    /**
     * 是否已读 0否 1是
     */
    @ApiModelProperty(value = "是否已读 0否 1是")
    private Integer isRead;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

}
