package com.mcwl.resource.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(description = "模型返回对象")
public class ModelLikeVo {
    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 用户ID
     */
    @ApiModelProperty(value = "用户id")
    private Long userId;
    /**
     * 用户名称
     */
    @ApiModelProperty(value = "用户名称")
    private String userName;
    /**
     * 用户头像
     */
    @ApiModelProperty(value = "用户头像")
    private String userAvatar;
    /**
     * 模型id
     */
    @ApiModelProperty(value = "模型id")
    private Long modelId;
    /**
     * 模型名称
     */
    @ApiModelProperty(value = "模型名称")
    private String modelName;
    /**
     * 封面图
     */
    @ApiModelProperty(value = "封面图")
    private String surfaceUrl;


}
