package com.mcwl.resource.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mcwl.resource.domain.ModelLike;
import com.mcwl.resource.domain.WorkFlowLike;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.resource.mapper
 * @Filename：ModelLikeMapper
 * @Description TODO
 * @Date：2025/1/12 12:05
 */
@Mapper
public interface ModelLikeMapper extends BaseMapper<ModelLike> {
    ModelLike getLike(@Param("userId") Long userId, @Param("modelId") Long modelId);

    void updateDelFlagById(ModelLike modelLike);

    WorkFlowLike selectModelLikeById(@Param("userId") Long userId, @Param("id") Long id);

}
