package com.mcwl.system.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 用户提现日志
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("sys_user_pay_account_log")
public class SysUserPayAccountLog extends BaseEntity {

    @TableId
    private Long id;
    /**
     * 提现用户
     */
    private Long userId;
    /**
     * 提现金额
     */
    private Double amount;
    /**
     * 提现账户
     */
    private String account;

}
