package com.mcwl.web.controller.myInvitation;


import cn.hutool.core.bean.BeanUtil;
import com.mcwl.myInvitation.domain.Consume;
import com.mcwl.myInvitation.service.ConsumeService;
import com.mcwl.myInvitation.domain.dto.ConsumeDto;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

/**
 * 消费记录
 */
@RestController()
@RequiredArgsConstructor
@RequestMapping("/consume")
public class ConsumeController {

    private final ConsumeService consumeService;

    @PostMapping
    public void consume(@RequestBody ConsumeDto consumeDto) {

        Consume consume = new Consume();
        BeanUtil.copyProperties(consumeDto, consume);
        consumeService.saveConsume(consume);
    }


}
