package com.mcwl.common.constant;

public class JwtConstants {
    /**
     * 用户ID字段
     */
    public static final String DETAILS_USER_ID = "user_id";

    /**
     * 用户名字段
     */
    public static final String DETAILS_USERNAME = "user_name";

    /**
     * 用户标识
     */
    public static final String USER_KEY = "user_key";

    /**
     * 令牌秘钥
     */
    public final static String SECRET = "abcdefghijklmnopqrstuvwxyz";

    /**
     * 手机
     */
    public static final String USER_PHONE = "user_phone";


    /**
     * 用户token 的键的前缀
     */
    public static final String LOGIN_TOKEN = "login_token:";

    /**
     * token过期时间 1h = 60 * 60 * 1000L
     */
    public static final Long EXPIRATION = 60 * 60 * 1000L;
}
