///*
// * Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
// *
// * https://www.mall4j.com/
// *
// * 未经允许，不可做商业用途！
// *
// * 版权所有，侵权必究！
// */
//package com.mcwl.common.domain.response;
//
//
//import com.mcwl.common.i18n.I18nMessage;
//
///**
// * @author FrozenWatermelon
// * @date 2020/7/9
// */
//public enum ResponseEnum {
//
//    /**
//     * ok
//     */
//    OK("00000", "ok"),
//
//    /**
//     * 用于直接显示提示用户的错误，内容由输入内容决定
//     */
//    SHOW_FAIL("A00001", ""),
//
//    /**
//     * 用于直接显示提示系统的成功，内容由输入内容决定
//     */
//    SHOW_SUCCESS("A00002", ""),
//
//    /**
//     * 未授权
//     */
//    UNAUTHORIZED("A00004", "Unauthorized"),
//
//    /**
//     * 服务器出了点小差
//     */
//    EXCEPTION("A00005", "服务器出了点小差"),
//
//    /**
//     * TempUid异常
//     * 一般不会出现这个异常，出现这个异常会有两种已知可能
//     * 1. 一种是旧的tempUid
//     * 2. 一种是同域名的localstorage 有个也叫tempUid的存储覆盖了（有的人测试环境和正式环境放在同一个域名不同子目录下）
//     * 如果前端看到返回了这个异常，为了让用户能够顺利登录，需要重新获取一遍code，重新获取tempUid
//     */
//    TEMP_UID_ERROR("A00012", "TempUid Error"),
//
//    /**
//     * 接口不存在
//     */
//    NOT_FOUND("A00013", "接口不存在"),
//
//    /**
//     * 方法参数没有校验，内容由输入内容决定
//     */
//    METHOD_ARGUMENT_NOT_VALID("A00014", "方法参数没有校验"),
//
//    /**
//     * 支付密码错误
//     */
//    PAY_PASSWORD_ERROR("A00015", I18nMessage.getMessage("yami.user.pay.password.error")),
//
//
//    SCANCODE_PAY_ERROR("A00016", "扫描支付发生错误"),
//
//
//    NEW_USER_NO_INVITOR_ERROR("A00017", "新注册用户必须填写邀请码"),
//
//    NEW_USER_INVITOR_ERROR("A00018", "邀请码错误"),
//
//    /**
//     * 01开头代表商品
//     * 商品已下架，返回特殊的状态码，用于渲染商品下架的页面
//     */
////    SPU_NOT_EXIST("A01000", "商品不存在"),
//
//    /**
//     * 02开头代表购物车
//     */
////    SHOP_CART_NOT_EXIST("A02000", "商品已下架"),
//
//    /**
//     * 03开头代表订单
//     */
//    API_ORDER_NOT_EXIST("A03000", "订单不存在"),
//    ORDER_BUSY("A03001", "订单繁忙，请稍后再试"),
//
//    /**
//     * 订单不支持该配送方式
//     */
//    ORDER_DELIVERY_NOT_SUPPORTED("A03001", "The delivery method is not supported"),
//
//    /**
//     * 请勿重复提交订单，
//     * 1.当前端遇到该异常时，说明前端防多次点击没做好
//     * 2.提示用户 订单已发生改变，请勿重复下单
//     */
//    REPEAT_ORDER("A03002", "订单已过期，请重新下单"),
//
//    /**
//     * 优惠券不能共用
//     */
//    COUPON_CANNOT_USE_TOGETHER("A03003", "优惠券不能共用"),
//
//    /**
//     * 代金券金额超过了订单金额
//     */
//    COUPON_OF_RMRT_GT_ORDER("A03004", "代金券金额超过了订单金额"),
//
//    /**
//     * 库存不足，body会具体返回那个skuid的库存不足，后台通过skuId知道哪个商品库存不足，前端不需要判断
//     */
//    NOT_STOCK("A03010", "not stock"),
//
//    /**
//     * 该社交账号被其他用户绑定了，如果返回这个状态码，前端应该提示用户解绑已经绑定的账号重新绑定
//     */
//    SOCIAL_ACCOUNT_BIND_BY_OTHER("A04002", "social account bind by other"),
//
//    /**
//     * 存在未完成订单不能注销
//     */
//    DESTROY_USER_FAIL("A05000", "您的账户当前有未完成的订单，请待所有订单完成后再注销账户"),
//
//    /**
//     * 用户收货地址超过配送范围
//     */
//    DELIVERY_OVER("A07001", ""),
//    /**
//     * 账号重复
//     */
//    ACCOUNT_REPEAT("P01001", "账号已经被使用"),
//    ACCOUNT_NOT_EXIT("P01002", "账号不存在"),
//    ACCOUNT_NOT_ROLE("P01003", "账号不存在角色"),
//    ACCOUNT_STATUS_ERROR("P01004", "账号被锁"),
//    ACCOUNT_NOT_AREA("P01005", "账号没绑定经营地区"),
//    ACCOUNT_CREATE_ERROR("P01006", "账号创建失败"),
//    ACCOUNT_NO_MENU("P01007", "账号无菜单权限"),
//    PUSH_ID_NO_ACCOUNT("P01008", "该id无账号"),
//    ACCOUNT_ERROR("P01009", "账号权限错误"),
//    QUERY_TYPE_ERROR("P01010", "分页查询用户类型有误"),
//    // P02 钱包类
//    PUSH_USER_WALLET_NOT_EXIST("P02001", "用户钱包不存在"),
//    ORDER_NOT_EXIST("P02002", "订单不存在"),
//    NOT_SCANCODE_ORDER("P02003", "订单不是扫码下单"),
//    NOT_PAY_ORDER("P02004", "订单为未支付完成"),
//    ACTUAL_PAY_LITTLE_ORDER("P02005", "订单支付金额小于1元，不进行分成"),
//    NOT_BIND_ORDER("P02006", "订单商家未被推客绑定，不进行分成"),
//    PUSH_ERR("P02007", "分成失败"),
//    ACCOUNT_WX_BIND("P02101","改用户已经绑定openid" ),
//    WX_APPID_SECRET_ERR("P02102","获取配置的appid错误" ),
//    WITHDRAW_EXCESS_ERROR("P02005", "提现金额超出可提现额度"),
//    SHOP_BANK_CARD_NOT_EXIST("P02006", "银行卡不存在"),
//    SHOP_BANK_CARD_STATE_ERROR("P02007", "申请提现银行卡状态错误"),
//
//    SHOP_BANK_ACCOUNT_ERROR("P02008", "注册新生账号异常"),
//    SHOP_BANK_BIND_CONFIRM("P02010", "请输入验证码绑定银行卡"),
//    /**
//     * C开头为公共部分
//     */
//    ACCESS_TOKEN_ERR("C01001", "获取access_token失败"),
//    TICKET_ERR("C01002", "获取ticket失败"),
//    GENERATE_URL_LINK_ERR("C01003", "创建URLLink失败"),
//    GET_WX_CODE_SESSION_ERR("C01004", "微信登录凭证校验败"),
//
//    DATA_EXISTS("C01009", "数据已存在"),
//    DATA_NOT_CHANGE_ABLE("C01010", "数据不可变更"),
//
//
//
//
//    /**
//     * 远程接口调用错误
//     */
//    RPC_CALL_EXCEPTION("A08001", ""),
//    /**
//     *
//     */
//    RPC_CALL_HTTP_EXCEPTION("A08002", ""),
//
//
//    BAIDU_MAP_CONVERT_ERROR("A08003","百度地图接口调用错误" ),
//
//    /**
//     * T 平台活动类
//     */
//    REPEAT_ACTIVITY_SUB_ITEM("T00001", "重复的活动子项目"),;
//
//
//
//    private final String code;
//
//    private final String msg;
//
//    public String value() {
//        return code;
//    }
//
//    public String getMsg() {
//        return msg;
//    }
//
//    ResponseEnum(String code, String msg) {
//        this.code = code;
//        this.msg = msg;
//    }
//
//    @Override
//    public String toString() {
//        return "ResponseEnum{" + "code='" + code + '\'' + ", msg='" + msg + '\'' + "} " + super.toString();
//    }
//
//}
