package com.mcwl.communityCenter.domain;


import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 邀请码映射
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cc_invite_code_mapping")
public class InviteCodeMapping extends BaseEntity {

    @TableId
    private Long id;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 社区id
     */
    private Long communityId;
    /**
     * 邀请码
     */
    private String inviteCode;
    /**
     * 状态 1 可用 0 不可用
     */
    private Integer status;


}
