package com.mcwl.communityCenter.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**社群评论点赞
 * @Author：ChenYan
 * @Project：mcwl-ai
 * @Package：com.mcwl.communityCenter.domain
 * @Filename：PublishCommissionLike
 * @Description TODO
 * @Date：2025/1/17 14:16
 */
@ApiModel(description = "评论点赞")
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cc_comment_like")
public class PublishCommentLike extends BaseEntity {

    /**
     * 评论点赞id
     */
    @TableId
    @ApiModelProperty(value = "评论点赞id")
    private Long id;
    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private Long userId;
    /**
     * 社群id
     */
    @ApiModelProperty(value = "社群id")
    private Long communityId;
    /**
     * 评论id
     */
    @ApiModelProperty(value = "评论id")
    private Long publishCommentId;
}
