package com.mcwl.communityCenter.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 评论请求参数
 */
@Data
@ApiModel(value = "评论请求参数")
public class CommentDetailRes {


    /**
     * 租户id
     */
    @ApiModelProperty(value = "租户id", required = true)
    @NotNull(message = "租户id不能为空")
    private Long tenantId;
    /**
     * 社区id
     */
    @ApiModelProperty(value = "社区id", required = true)
    @NotNull(message = "社区id不能为空")
    private Long communityId;
    /**
     * 运营id
     */
    @ApiModelProperty(value = "运营id", required = true)
    @NotNull(message = "运营id不能为空")
    private Long operatorId;


}
