package com.mcwl.communityCenter.domain.dto;

import com.mcwl.common.core.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "发布详情请求参数")
public class PublishDetailRes {

    @ApiParam(value = "发布id", required = true)
    @NotNull(message = "发布id不能为空")
    private Long id;

    @ApiParam(value = "租户id", required = true)
    @NotNull(message = "租户id不能为空")
    private Long tenantId;

    @ApiParam(value = "社区id", required = true)
    @NotNull(message = "社区id不能为空")
    private Long communityId;

}
