package com.mcwl.communityCenter.domain.dto;

import com.mcwl.common.core.page.PageDomain;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "查看详情请求参数")
public class QuestionDetailRes {

    @NotNull(message = "租户不能为空")
    @ApiModelProperty(value = "租户id", required = true)
    private Long tenantId;

    @NotNull(message = "社区不能为空")
    @ApiModelProperty(value = "社区id", required = true)
    private Long communityId;

    @NotNull(message = "问题id不能为空")
    @ApiModelProperty(value = "问题id", required = true)
    private Long questionId;

}
