package com.mcwl.communityCenter.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.common.core.domain.AjaxResult;
import com.mcwl.common.core.domain.R;
import com.mcwl.common.core.page.TableDataInfo;
import com.mcwl.communityCenter.domain.Question;
import com.mcwl.communityCenter.domain.dto.QuestionDetailRes;
import com.mcwl.communityCenter.domain.dto.QuestionPageRes;
import com.mcwl.communityCenter.domain.dto.QuestionReplyRes;
import com.mcwl.communityCenter.domain.dto.QuestionRes;
import com.mcwl.communityCenter.domain.vo.QuestionVo;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

public interface QuestionService extends IService<Question> {

    /**
     * 添加问题
     * @param questionRes 问题信息
     */
    R<Object> addQuestion(QuestionRes questionRes);


    TableDataInfo list(QuestionPageRes questionPageRes);

    QuestionVo getDetail(QuestionDetailRes questionDetailRes);

//    /**
//     * 回复问题
//     * @param questionReplyRes 回复信息
//     */
//    AjaxResult reply(QuestionReplyRes questionReplyRes);

    TableDataInfo listImage(@Valid QuestionPageRes questionPageRes);
}
