package com.mcwl.memberCenter.domain.dto;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 参与活动请求参数
 */
@Data
public class JoinPromotionDto {

    @NotNull(message = "用户id不能为空")
    private Long userId;

    @NotNull(message = "活动id不能为空")
    private Long promotionId;



}
