package com.mcwl.memberCenter.domain.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 创建会员请求参数
 */
@Data
public class UserMemberDto {

    // 用户ID
    @NotNull(message = "用户ID不能为空")
    private Long userId;

    // 会员等级ID
    @NotNull(message = "会员等级ID不能为空")
    private Long memberLevelId;

    // 支付方式
    @NotBlank(message = "支付方式不能为空")
    private String paymentMethod;

    // 活动ID
    private Long promotionId;

}
