package com.mcwl.memberCenter.domain.vo;

import com.mcwl.memberCenter.domain.Benefit;
import com.mcwl.memberCenter.domain.MemberBenefit;
import com.mcwl.memberCenter.domain.MemberLevel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 会员权益VO
 */
@Data
public class MemberBenefitVO {

    // 会员等级
    private String memberLevelName;

    // 会员权益
    private List<Benefit> memberBenefitList = new ArrayList<>();


}
