package com.mcwl.myInvitation.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Objects;

/**
 * 提成表
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("inv_commission")
public class Commission extends BaseEntity {

    @TableId
    private Long id;

    // 消费者id
    private Long consumeId;

    // 提成金额
    private Double amount;

    // 支付状态
    private Integer payStatus;
}
