package com.mcwl.myInvitation.domain;


import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = true)
@TableName("inv_commission_ratio")
public class CommissionRatio extends BaseEntity {


    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 最小单数
     */
    private Integer minCount;
    /**
     * 最大单数
     */
    private Integer maxCount;
    /**
     * 抽取比例
     */
    private Double ratio;
    /**
     * 类型 0邀请人-被邀请人 1公司-商家
     */
    private Integer type;


}
