package com.mcwl.myInvitation.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.Objects;

/**
 * 消费表
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("inv_consume")
public class Consume extends BaseEntity {

    @TableId
    private Long id;

    // 用户id
    private Long userId;

    // 消费金额
    private Double amount;

    // 商品id
    private Long productId;

    // 商品类型
    private Integer type;

    // 消费时间
    private Date consumeDate;
}
