package com.mcwl.myInvitation.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.myInvitation.domain.CommissionRatio;
import com.mcwl.myInvitation.domain.vo.CommissionRatioVo;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.List;

public interface CommissionRatioService extends IService<CommissionRatio> {

    /**
     * 获取佣金比例列表
     *
     * @return List<CommissionRatioVo>
     */
    List<CommissionRatioVo> ratioList();

    CommissionRatioVo updateRatio(Long id, Double ratio);

    CommissionRatioVo detail(Long id);
}
