package com.mcwl.resource.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

/**
 * 模型点赞表
 */

@AllArgsConstructor
@NoArgsConstructor
@Data
@ApiModel(description = "模型点赞表")
@TableName("model_like")
public class ModelLike extends BaseEntity {

    @ApiModelProperty(value = "id")
    @TableId
    private Long id;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private Long userId;

    /**
     * 模型id
     */
    @ApiModelProperty(value = "模型id")
    private Long modelId;

}
