package com.mcwl.resource.domain.request;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**平台官方app联系
 * @Author：ChenYan
 * @Project：mcwl-ai
 * @Package：com.mcwl.resource.domain.request
 * @Filename：Pic
 * @Description TODO
 * @Date：2025/3/4 16:00
 */
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Data
@TableName("p_pic")
@ApiModel(description = "平台官方app联系")
public  class PlatForm {
    @ApiModelProperty(value = "主键ID")
    private Long id;
    @ApiModelProperty(value = "平台官方app名称")
    private String name;
    @ApiModelProperty(value = "图片地址")
    private String url;
}
