package com.mcwl.resource.domain.request;

import com.mcwl.resource.domain.ModelProduct;
import com.mcwl.resource.domain.ModelVersion;
import com.mcwl.resource.domain.WorkFlow;
import com.mcwl.resource.domain.WorkFlowVersion;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 模型入参 模型+版本
 * @author DaiZibo
 * @date 2025/1/9
 * @apiNote
 */
@ApiModel(description = "模型入参 模型+版本")
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Data
public class RequestModel {
@ApiModelProperty(value = "模型信息")
 private ModelProduct modelProduct;
@ApiModelProperty(value = "模型版本信息")
 private List<ModelVersion> modelVersionList;

}
