package com.mcwl.resource.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
@ApiModel(description = "图片返回对象")
public class ModelImageLikeVo {
    /**
     * id
     */
    @ApiModelProperty(value = "id", required = true)
    private Long id;
    /**
     * 用户ID
     */
    @ApiModelProperty(value = "用户id", required = true)
    private Long userId;
    /**
     * 用户名称
     */
    @ApiModelProperty(value = "用户名称", required = true)
    private String userName;
    /**
     * 用户头像
     */
    @ApiModelProperty(value = "用户头像", required = true)
    private String userAvatar;
    /**
     * 图片id
     */
    @ApiModelProperty(value = "图片id", required = true)
    private Long modelImageId;
    /**
     * 图片地址（最多8张，切割）
     */
    @ApiModelProperty(value = "图片地址（最多8张，切割）")
    private String imagePaths;
    /**
     * 点赞数
     */
    @ApiModelProperty(value = "点赞数")
    private Integer likeNum;


}
