package com.mcwl.resource.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 分页+条件
 *
 * @author DaiZibo
 * @date 2025/1/13
 * @apiNote
 */

@Builder
@NoArgsConstructor
@AllArgsConstructor
@Data
@ApiModel(description = "分页+条件")
public class PageVo {

    @ApiModelProperty(value = "页码")
    private Integer pageNumber;
    @ApiModelProperty(value = "每页条数")
    private Integer pageSize;
    @ApiModelProperty(value = "名称")
    private String name;
    @ApiModelProperty(value = "排序")
    private Integer order;
    @ApiModelProperty(value = "条件过滤")
    private Long type;
}
