package com.mcwl.resource.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(description = "工作流请求对象")
public class WorkFlowLikeVo {
    /**
     * id
     */
    @ApiModelProperty(value = "id", required = true)
    private Long id;
    /**
     * 用户ID
     */
    @ApiModelProperty(value = "用户id", required = true)
    private Long userId;
    /**
     * 用户名称
     */
    @ApiModelProperty(value = "用户名称", required = true)
    private String userName;
    /**
     * 用户头像
     */
    @ApiModelProperty(value = "用户头像", required = true)
    private String userAvatar;
    /**
     * 工作流id
     */
    @ApiModelProperty(value = "工作流id", required = true)
    private Long workFlowId;
    /**
     * 封面图
     */
    @ApiModelProperty(value = "封面图")
    private String converPath;
    /**
     * 点赞数
     */
    @ApiModelProperty(value = "点赞数")
    private Integer likeNum;



}
