package com.mcwl.resource.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(description = "工作流请求对象")
public class WorkFlowVo {
    /**
     * 工作流id
     */
    @ApiModelProperty(value = "工作流id", required = true)
    private Long id;
    /**
     * 工作流名称
     */
    @ApiModelProperty(value = "工作流名称", required = true)
    private String workflowName;
    /**
     * 封面图
     */
    @ApiModelProperty(value = "封面图")
    private String coverPath;
    /**
     * 用户ID
     */
    @ApiModelProperty(value = "用户ID")
    private Long userId;
    /**
     * 用户名称
     */
    @ApiModelProperty(value = "用户名称")
    private String userName;
    /**
     * 用户头像
     */
    @ApiModelProperty(value = "用户头像")
    private String userAvatar;
    /**
     * 在线生成数
     */
    @ApiModelProperty(value = "在线生成数")
    private Integer useNumber;
    /**
     * 下载数
     */
    @ApiModelProperty(value = "下载数")
    private Integer downloadNumber;

    /**
     * 是否置顶
     */
    @ApiModelProperty(value = "是否置顶")
    private Integer isTop;

    /**
     * 是否点赞
     */
    @ApiModelProperty(value = "是否点赞")
    private Integer isLike;

    /**
     * 审核状态
     */
    @ApiModelProperty(value = "审核状态")
    private Integer auditStatus;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

}
