package com.mcwl.system.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**协议 隐私
 * @Author：ChenYan
 * @Project：mcwl-ai
 * @Package：com.mcwl.system.domain
 * @Filename：Per
 * @Description 用户协议/隐私政策表
 * @Date：2025/2/14 10:05
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
@ApiModel(description = "用户协议/隐私政策表")
@TableName("mcwl_policies")
public class Policy extends BaseEntity {
    @TableId
    /**
     * 主键
     */
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 标题
     */
    @ApiModelProperty(value = "标题")
    private String title;
    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String content;
    /**
     * 类型  用户协议/隐私政策
     */
    @ApiModelProperty(value = "类型  用户协议/隐私政策")
    private Integer type;
}
