package com.mcwl.system.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 用户支付账户
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("sys_user_pay_account")
public class SysUserPayAccount extends BaseEntity {

    @TableId
    private Long id;

    /**
     * 用户id
     */
    private Long userId;
    /**
     * 账号唯一标识
     */
    private String openId;
    /**
     * 账号类型 0 支付宝 1 微信 2 QQ
     */
    private Integer type;




}
